%global gem_name kramdown
Name:                rubygem-%{gem_name}
Version:             2.1.0
Release:             3
Summary:             A fast pure Ruby yet-another-markdown-parser
License:             MIT
URL:                 http://kramdown.rubyforge.org
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
Patch0000:           CVE-2021-28834.patch
Patch0001:           CVE-2020-14001.patch
BuildRequires:       ruby(release) rubygems-devel rubygem(minitest) >= 5 rubygem(rouge)
BuildRequires:       rubygem(test-unit) tidy tex tex(acronym.sty) tex(amssymb.sty)
BuildRequires:       tex(amsmath.sty) tex(amsthm.sty) tex(amsfonts.sty) tex(utf8x.def) tex-ec
Requires:            ruby(release)  ruby(rubygems)
BuildArch:           noarch
Provides:            rubygem(%{gem_name}) = %{version}-%{release}
%description
kramdown is yet-another-markdown-parser but fast, pure Ruby,
using a strict syntax definition and supporting several common extensions.

%package             help
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
Provides:            %{name}-doc = %{version}-%{release}
Obsoletes:           %{name}-doc < %{version}-%{release}
BuildArch:           noarch

%description         help
Documentation for %{name}

%prep
gem unpack %{SOURCE0}
%autosetup -D -T -n kramdown-%{version} -p1
gem spec %{SOURCE0} -l --ruby > kramdown.gemspec

%build
gem build kramdown.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
	%{buildroot}%{gem_dir}/
mkdir -p %{buildroot}%{_bindir}
cp -pa .%{_bindir}/* \
	%{buildroot}%{_bindir}/
find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x
mkdir -p %{buildroot}%{_mandir}/man1
mv %{buildroot}%{gem_instdir}/man/man1/kramdown.1 \
	%{buildroot}%{_mandir}/man1
pushd %{buildroot}%{gem_instdir}
rm -rf \
	test/

%check
LANG=C.UTF-8
pushd .%{gem_instdir}
STRINGEX_STATUS="$(ruby -e "begin ; require 'stringex' ; puts 1 ; rescue LoadError ; puts 0 ; end")"
if [ $STRINGEX_STATUS == 0 ] ; then
sed -i test/testcases/block/04_header/with_auto_ids.options \
	-e '\@transliterated_header_ids@s|true|false|'
sed -i \
	test/testcases/block/04_header/with_auto_ids.* \
	-e '\@[Tr]ransliterated@d'
fi
ruby -Ilib -e 'Dir.glob "./test/test_*.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/COPYING
%doc %{gem_instdir}/AUTHORS
%doc %{gem_instdir}/CONTRIBUTERS
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/VERSION
%{_bindir}/kramdown
%{gem_instdir}/bin
%{_mandir}/man1/kramdown.1*
%{gem_libdir}/
%{gem_instdir}/data/
%exclude %{gem_cache}
%{gem_spec}

%files help
%doc %{gem_docdir}

%changelog
* Fri Jul 23 2021 yaoxin <yaoxin30@huawei.com> - 2.1.0-3
- fix CVE-2020-14001

* Mon Mar 29 2021 wangyue <wangyue92@huawei.com> - 2.1.0-2
- fix CVE-2021-28834

* Tue Dec 15 2020 chengzihan <chengzihan2@huawei.com> - 2.1.0-1
- update to 2.1.0

* Thu Mar 12 2020 zhujunhao <zhujunhao5@huawei.com> - 1.17.0-3
- Package init

